.\"	$NetBSD: iswalnum.3,v 1.8 2003/09/08 17:54:31 wiz Exp $
.\"
.\" Copyright (c) 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the American National Standards Committee X3, on Information
.\" Processing Systems.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)isalnum.3	5.2 (Berkeley) 6/29/91
.\"
.Dd December 22, 2000
.Dt ISWALNUM 3
.Os
.Sh NAME
.Nm iswalnum ,
.Nm iswalpha ,
.Nm iswblank ,
.Nm iswcntrl ,
.Nm iswdigit ,
.Nm iswgraph ,
.Nm iswlower ,
.Nm iswprint ,
.Nm iswpunct ,
.Nm iswspace ,
.Nm iswupper ,
.Nm iswxdigit
.Nd wide character classification utilities
.Sh LIBRARY
.Lb libc
.Sh SYNOPSIS
.In wctype.h
.Ft int
.Fn iswalnum "wint_t wc"
.Ft int
.Fn iswalpha "wint_t wc"
.Ft int
.Fn iswblank "wint_t wc"
.Ft int
.Fn iswcntrl "wint_t wc"
.Ft int
.Fn iswdigit "wint_t wc"
.Ft int
.Fn iswgraph "wint_t wc"
.Ft int
.Fn iswlower "wint_t wc"
.Ft int
.Fn iswprint "wint_t wc"
.Ft int
.Fn iswpunct "wint_t wc"
.Ft int
.Fn iswspace "wint_t wc"
.Ft int
.Fn iswupper "wint_t wc"
.Ft int
.Fn iswxdigit "wint_t wc"
.Sh DESCRIPTION
The functions are character classification utility functions,
for use with wide characters
.Po
.Fa wchar_t
or
.Fa wint_t
.Pc .
See the description of singlebyte classification functions, like
.Xr isalnum 3 ,
for details.
.Sh RETURN VALUES
The functions return zero if the character tests false and
return non-zero if the character tests true.
.Sh SEE ALSO
.Xr isalnum 3 ,
.Xr isalpha 3 ,
.Xr isblank 3 ,
.Xr iscntrl 3 ,
.Xr isdigit 3 ,
.Xr isgraph 3 ,
.Xr islower 3 ,
.Xr isprint 3 ,
.Xr ispunct 3 ,
.Xr isspace 3 ,
.Xr isupper 3 ,
.Xr isxdigit 3
.Sh STANDARDS
The functions conform to
.St -isoC-99 .
.Sh CAVEATS
The argument to these functions must be
.Dv WEOF
or a valid
.Fa wchar_t
value with the current locale; otherwise, the result is undefined.
